Tenant/Platforms
Get editor platforms(platforms in stories module) for a specific product
Returns a list of all editor platforms(platforms in stories module) by product.
Authorization
BearerAuthObject AuthorizationBearer <token>
Machine tokens only: a personal API token or a product robot token (POST /api/v2/products/{uid}/robot-tokens). A session JWT here is 401 — the web app uses the b2t_access cookie.
In: header
Path Parameters
productId*string
UUID of the product
Format
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/api/v2/editor-platforms/by-product/2456e544-60c1-4876-b5d9-531d2cbd7bfa"{ "platforms": { "web": { "projectTypeId": 1, "projectTypeName": "b2core", "platform": "web", "createdAt": "2023-05-16T21:36:30+04:00" } }, "productPlatforms": { "web": { "projectTypeId": 1, "projectTypeName": "b2core", "platform": "web", "createdAt": "2023-05-16T21:36:30+04:00" }, "ios": { "projectTypeId": 2, "projectTypeName": "b2core-ios", "platform": "ios", "createdAt": "2023-05-16T21:36:30+04:00" }, "android": { "projectTypeId": 3, "projectTypeName": "b2core-android", "platform": "android", "createdAt": "2023-05-16T21:36:30+04:00" } }}Empty
Empty
{ "message": { "error": "Page not found" }}Empty